<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>V2Pv15 - Vyhlasenie o poukazani dane z prijmov FO</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/dokument">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">«efFormVer» Vyhlásenie o poukázaní sumy do výšky 2% (3%) zaplatenej dane</div>
</div>
<xsl:if test="/dokument/nazov/text()"><div><label class="labelVis">nazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/udaje">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Údaje</div>
</div>
<xsl:for-each select="/dokument/udaje/rodneCislo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">[01] - Rodné číslo</div>
</div>
<xsl:if test="/dokument/udaje/rodneCislo/rodneCislo1/text()"><div><label class="labelVis">[01] - Rodné číslo - prvá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./rodneCislo1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/udaje/rodneCislo/rodneCislo2/text()"><div><label class="labelVis">[01] - Rodné číslo - druhá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./rodneCislo2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/udaje/datNarodenia/text()"><div><label class="labelVis">[02] - Dátum narodenia: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./datNarodenia" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/udaje/rok/text()"><div><label class="labelVis">Rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./rok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">I. ODDIEL - ÚDAJE O DAŇOVNÍKOVI</div>
</div>
<xsl:for-each select="/dokument/oddiel1/danovnik">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Daňovník</div>
</div>
<xsl:if test="/dokument/oddiel1/danovnik/pomtTitulSekcia1/text()"><div><label class="labelVis">pomtTitulSekcia1: </label><span class="contentVis wordwrap"><xsl:value-of select="./pomtTitulSekcia1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/oddiel1/danovnik/pomtTitulSekcia2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pomtTitulSekcia2</div>
</div>
<xsl:if test="/dokument/oddiel1/danovnik/pomtTitulSekcia2/priezviskoD/text()"><div><label class="labelVis">[03] - Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./priezviskoD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel1/danovnik/pomtTitulSekcia2/menoD/text()"><div><label class="labelVis">[04] - Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./menoD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel1/danovnik/pomtTitulSekcia2/titulD/text()"><div><label class="labelVis">[05] - Titul pred menom / za priezviskom: </label><span class="contentVis wordwrap"><xsl:value-of select="./titulD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel1/danovnik/pomtTitulSekcia2/titulZA/text()"><div><label class="labelVis">Titul: </label><span class="contentVis wordwrap"><xsl:value-of select="./titulZA"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1/adresa">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Adresa trvalého pobytu</div>
</div>
<xsl:for-each select="/dokument/oddiel1/adresa/ulicaCisloAdresaDanovnika_abc894">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Ulica - číslo</div>
</div>
<xsl:if test="/dokument/oddiel1/adresa/ulicaCisloAdresaDanovnika_abc894/ulicaD/text()"><div><label class="labelVis">[06] - Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./ulicaD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel1/adresa/ulicaCisloAdresaDanovnika_abc894/cisloD_65411/text()"><div><label class="labelVis">[07] - Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cisloD_65411"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1/adresa/daresa2_adresaDanovnik">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresa2</div>
</div>
<xsl:if test="/dokument/oddiel1/adresa/daresa2_adresaDanovnik/pscD/text()"><div><label class="labelVis">[08] - PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pscD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel1/adresa/daresa2_adresaDanovnik/obecD/text()"><div><label class="labelVis">[09] - Obec : </label><span class="contentVis wordwrap"><xsl:value-of select="./obecD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel1/adresa/daresa2_adresaDanovnik/statD/text()"><div><label class="labelVis">[10] - Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./statD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1/adresa/telD">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">[11] - Číslo telefónu</div>
</div>
<xsl:if test="/dokument/oddiel1/adresa/telD/predcislieD/text()"><div><label class="labelVis">[11] - Číslo telefónu - predčíslie: </label><span class="contentVis wordwrap"><xsl:value-of select="./predcislieD"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1/suma">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Suma do výšky 2% resp. 3% 1) zaplatenej dane</div>
</div>
<xsl:for-each select="/dokument/oddiel1/suma/r12">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Riadok 12</div>
</div>
<xsl:if test="/dokument/oddiel1/suma/r12/r12Suma/text()"><div><label class="labelVis">[12]: </label><span class="contentVis wordwrap"><xsl:value-of select="./r12Suma"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1/suma/r13">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Riadok 13</div>
</div>
<xsl:if test="/dokument/oddiel1/suma/r13/r13Suma/text()"><div><label class="labelVis">[13]: </label><span class="contentVis wordwrap"><xsl:value-of select="./r13Suma"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel1/suma/r14">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Riadok 14</div>
</div>
<xsl:if test="/dokument/oddiel1/suma/r14/datumZaplatenia/text()"><div><label class="labelVis">[14] - Dátum zaplatenia dane: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./datumZaplatenia" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">II. ODDIEL - ÚDAJE O PRIJÍMATEĽOVI</div>
</div>
<xsl:for-each select="/dokument/oddiel2/icoSid">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">[15] - IČO / SID</div>
</div>
<xsl:if test="/dokument/oddiel2/icoSid/ico/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./ico"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel2/icoSid/sid/text()"><div><label class="labelVis">SID: </label><span class="contentVis wordwrap"><xsl:value-of select="./sid"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/oddiel2/pravnaForma/text()"><div><label class="labelVis">[16] - Právna forma: </label><span class="contentVis wordwrap"><xsl:value-of select="./pravnaForma"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel2/obchodneMeno/text()"><div><label class="labelVis">[17] - Obchodné meno (názov)  : </label><span class="contentVis wordwrap"><xsl:value-of select="./obchodneMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/oddiel2/ulicaCislo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Ulica - číslo</div>
</div>
<xsl:if test="/dokument/oddiel2/ulicaCislo/ulicaSidlo/text()"><div><label class="labelVis">[18] - Sídlo - Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./ulicaSidlo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel2/ulicaCislo/cisloSidlo/text()"><div><label class="labelVis">[19] - Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cisloSidlo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/oddiel2/adres2_uclicaDruhyodiel">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">adresa2</div>
</div>
<xsl:if test="/dokument/oddiel2/adres2_uclicaDruhyodiel/pscSidlo/text()"><div><label class="labelVis">[20] - PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pscSidlo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/oddiel2/adres2_uclicaDruhyodiel/obecSidlo/text()"><div><label class="labelVis">[21] - Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./obecSidlo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/vyhlasenie_sec_6854">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Vyhlasujem, že uvedené údaje v tomto vyhlásení sú pravdivé</div>
</div>
<xsl:for-each select="/dokument/vyhlasenie_sec_6854/SekciaSuhlas">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Suhlas</div>
</div>
<xsl:if test="/dokument/vyhlasenie_sec_6854/SekciaSuhlas/PoleSuhlas/text()"><div><label class="labelVis">súhlasím so zaslaním údajov (meno, priezvisko a trvalý pobyt) mnou určenému príjmateľovi podielu zaplatenej dane uvedenému v II. oddiele podľa § 50 ods. 8 zákona: </label><span class="contentVis wordwrap"><xsl:value-of select="./PoleSuhlas"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/vyhlasenie_sec_6854/datumVyhlasenia/text()"><div><label class="labelVis">Dátum: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./datumVyhlasenia" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

