<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" indent="yes" omit-xml-declaration="yes"/>
<xsl:strip-space elements="*" />
<xsl:template match="/">
<xsl:text>VYHL&#193;SENIE</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:call-template name="hlavicka"></xsl:call-template>
<xsl:call-template name="oddiel1"></xsl:call-template>
<xsl:call-template name="oddiel2"></xsl:call-template>
<xsl:call-template name="vyhlasenie"></xsl:call-template>
</xsl:template>
<xsl:template name="hlavicka">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Identifikačn&#233; &#250;daje</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/hlavicka/rodneCislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[01] - Rodn&#233; č&#237;slo: </xsl:text><xsl:value-of select="/dokument/hlavicka/rodneCislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/datumNarodenia/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[02] - D&#225;tum narodenia: </xsl:text><xsl:value-of select="/dokument/hlavicka/datumNarodenia"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/hlavicka/rok/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Rok: </xsl:text><xsl:value-of select="/dokument/hlavicka/rok"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="oddiel1">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>I. ODDIEL - &#218;DAJE O DAŇOVN&#205;KOVI</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:call-template name="fyzickaOsoba"></xsl:call-template>
<xsl:call-template name="adresaTrvalehoPobytu"></xsl:call-template>
<xsl:call-template name="suma2Percenta"></xsl:call-template>
</xsl:template>
<xsl:template name="oddiel2">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>II. ODDIEL - &#218;DAJE O PRIJ&#205;MATEĽOVI</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/oddiel2/ico/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[15] - IČO: </xsl:text><xsl:value-of select="/dokument/oddiel2/ico"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/sid/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[15] - SID: </xsl:text><xsl:value-of select="/dokument/oddiel2/sid"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/pravnaForma/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[16] - Pr&#225;vna forma: </xsl:text><xsl:value-of select="/dokument/oddiel2/pravnaForma"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/nazov/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[17] - Obchodn&#233; meno (n&#225;zov): </xsl:text><xsl:value-of select="/dokument/oddiel2/nazov"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/sidlo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[18] - S&#237;dlo - Ulica: </xsl:text><xsl:value-of select="/dokument/oddiel2/sidlo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/cislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[19] - S&#250;pisn&#233;/orientačn&#233; č&#237;slo: </xsl:text><xsl:value-of select="/dokument/oddiel2/cislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/psc/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[20] - PSČ: </xsl:text><xsl:value-of select="/dokument/oddiel2/psc"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel2/obec/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[21] - Obec: </xsl:text><xsl:value-of select="/dokument/oddiel2/obec"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="vyhlasenie">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Vyhl&#225;senie</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/vyhlasenie/suhlasim/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>S&#250;hlas&#237;m so zaslan&#237;m &#250;dajov (meno, priezvisko a trval&#253; pobyt) mnou určen&#233;mu pr&#237;jmateľovi podielu zaplatenej dane uveden&#233;mu v II. oddiele podľa &#167; 50: </xsl:text><xsl:value-of select="/dokument/vyhlasenie/suhlasim"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/vyhlasenie/datumVyhlasujem/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>D&#225;tum: </xsl:text><xsl:value-of select="/dokument/vyhlasenie/datumVyhlasujem"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="fyzickaOsoba">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Identifikačn&#233; &#250;daje</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/oddiel1/fyzickaOsoba/priezvisko/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[03] - Priezvisko: </xsl:text><xsl:value-of select="/dokument/oddiel1/fyzickaOsoba/priezvisko"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/fyzickaOsoba/meno/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[04] - Meno: </xsl:text><xsl:value-of select="/dokument/oddiel1/fyzickaOsoba/meno"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/fyzickaOsoba/titulPred/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[05] - Titul pred menom: </xsl:text><xsl:value-of select="/dokument/oddiel1/fyzickaOsoba/titulPred"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/fyzickaOsoba/titulZa/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[05] - Titul za priezviskom: </xsl:text><xsl:value-of select="/dokument/oddiel1/fyzickaOsoba/titulZa"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="adresaTrvalehoPobytu">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Adresa trval&#233;ho pobytu</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/oddiel1/adresaTrvalehoPobytu/ulica/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[06] - Ulica: </xsl:text><xsl:value-of select="/dokument/oddiel1/adresaTrvalehoPobytu/ulica"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/adresaTrvalehoPobytu/cislo/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[07] - S&#250;pisn&#233;/orientačn&#233; č&#237;slo: </xsl:text><xsl:value-of select="/dokument/oddiel1/adresaTrvalehoPobytu/cislo"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/adresaTrvalehoPobytu/psc/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[08] - PSČ: </xsl:text><xsl:value-of select="/dokument/oddiel1/adresaTrvalehoPobytu/psc"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/adresaTrvalehoPobytu/obec/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[09] - Obec: </xsl:text><xsl:value-of select="/dokument/oddiel1/adresaTrvalehoPobytu/obec"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/adresaTrvalehoPobytu/stat/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[10] - Št&#225;t: </xsl:text><xsl:value-of select="/dokument/oddiel1/adresaTrvalehoPobytu/stat"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/adresaTrvalehoPobytu/telefon/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[11] - Telef&#243;nne č&#237;slo: </xsl:text><xsl:value-of select="/dokument/oddiel1/adresaTrvalehoPobytu/telefon"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="suma2Percenta">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>Suma do v&#253;šky 2% resp. 3% zaplatenej dane</xsl:text>
<xsl:text>&#xA;</xsl:text>
<xsl:if test="/dokument/oddiel1/suma2Percenta/r12/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[12] Zaplaten&#225; daň, z ktorej sa vypoč&#237;ta suma do v&#253;šky 2 % resp. 3 % zaplatenej dane: </xsl:text><xsl:value-of select="/dokument/oddiel1/suma2Percenta/r12"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/suma2Percenta/r13/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[13] Suma do v&#253;šky 2 % resp. 3 % zo zaplatenej dane z r. 12 (min. 3 eur&#225;): </xsl:text><xsl:value-of select="/dokument/oddiel1/suma2Percenta/r13"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
<xsl:if test="/dokument/oddiel1/suma2Percenta/r14/text()">
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>&#09;</xsl:text>
<xsl:text>[14] - D&#225;tum zaplatenia dane: </xsl:text><xsl:value-of select="/dokument/oddiel1/suma2Percenta/r14"/>
<xsl:text>&#xA;</xsl:text>
</xsl:if>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:variable name="dateString" select="string($date)" />
<xsl:choose>
<xsl:when test="$dateString != '' and string-length($dateString)=10 and string(number(substring($dateString, 1, 4))) != 'NaN' ">
<xsl:value-of select="concat(substring($dateString, 9, 2), '.', substring($dateString, 6, 2), '.', substring($dateString, 1, 4))" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$dateString"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="booleanCheckboxToString">
<xsl:param name="boolValue" />
<xsl:variable name="boolValueString" select="string($boolValue)" />
<xsl:choose>
<xsl:when test="$boolValueString = 'true' ">
<xsl:text>Áno</xsl:text>
</xsl:when>
<xsl:when test="$boolValueString = 'false' ">
<xsl:text>Nie</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$boolValueString"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="formatTimeTrimMinutes">
<xsl:param name="time" />
<xsl:variable name="timeString" select="string($time)" />
<xsl:if test="$timeString != ''">
<xsl:value-of select="substring($timeString, 1, 5)" />
</xsl:if>
</xsl:template>
<xsl:template name="string-replace-all">
<xsl:param name="text"/>
<xsl:param name="replace"/>
<xsl:param name="by"/>
<xsl:choose>
<xsl:when test="contains($text, $replace)">
<xsl:value-of select="substring-before($text,$replace)"/>
<xsl:value-of select="$by"/>
<xsl:call-template name="string-replace-all">
<xsl:with-param name="text" select="substring-after($text,$replace)"/>
<xsl:with-param name="replace" select="$replace"/>
<xsl:with-param name="by" select="$by" />
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$text"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="formatToSkDateTime">
<xsl:param name="dateTime" />
<xsl:variable name="dateSubstring" select="substring($dateTime, 1, 10)" />
<xsl:variable name="timeSubstring" select="substring($dateTime, 12, 8)" />
<xsl:variable name="dateString">
<xsl:choose>
<xsl:when test="$dateSubstring != '' and string-length($dateSubstring)=10 and string(number(substring($dateSubstring, 1, 4))) != 'NaN' ">
<xsl:value-of select="concat(substring($dateSubstring, 9, 2), '.', substring($dateSubstring, 6, 2), '.', substring($dateSubstring, 1, 4))" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$dateSubstring"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="timeString">
<xsl:if test="$timeSubstring != ''">
<xsl:value-of select="substring($timeSubstring, 1, 5)" />
</xsl:if>
</xsl:variable>
<xsl:value-of select="concat($dateString,' ',$timeString)"/>
</xsl:template>
</xsl:stylesheet>
